[Ovirt-devel] [PATCH node] o-c-config will only run when local storage is configured. rhbz#505560

Darryl L. Pierce dpierce at redhat.com
Fri Jun 12 13:10:52 UTC 2009


o-c-config checks to see if local storage is configured prior to
starting. If local storage is not configured then it reports an error
and exits.

Signed-off-by: Darryl L. Pierce <dpierce at redhat.com>
---
 scripts/ovirt-config-logging |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/scripts/ovirt-config-logging b/scripts/ovirt-config-logging
index 5da991f..ba661c3 100755
--- a/scripts/ovirt-config-logging
+++ b/scripts/ovirt-config-logging
@@ -8,6 +8,11 @@
 trap '__st=$?; stop_log; exit $__st' 0
 trap 'exit $?' 1 2 13 15
 
+if ! is_local_storage_configured; then
+    printf "Local storage must be configured prior to configuring the logging system.\n"
+    exit 99
+fi
+
 RSYSLOG_FILE="/etc/rsyslog.conf"
 
 # Creates the rsyslog file based on the following inputs
@@ -185,4 +190,3 @@ else
     printf "\n\n Logging Configuration\n\n"
     prompt_user
 fi
-
-- 
1.6.0.6




More information about the ovirt-devel mailing list